﻿var cycle_pointer = 0;
var cycle_array = new Array();
var cycle_indicate_counter = 0;
var cycle_pause = 0;

function cycle_stop() {
    cycle_pause = !cycle_pause;
}

function cycle_next() {
    if (cycle_pointer >= cycle_array.length) return;
    cycle_array[cycle_pointer].style.display = "none";
    cycle_pointer++;
    if (cycle_pointer >= cycle_array.length) cycle_pointer = 0;
    cycle_array[cycle_pointer].style.display = "block";
    cycle_indicate_counter = 0;
}

function cycle_prev() {
    if (cycle_pointer >= cycle_array.length) return;
    cycle_array[cycle_pointer].style.display = "none";
    cycle_pointer--;
    if (cycle_pointer < 0) cycle_pointer = cycle_array.length-1;
    cycle_array[cycle_pointer].style.display = "block";
    cycle_indicate_counter = 0;
}

function cycle_indicate() {
    if (cycle_pause) return;
    cycle_indicate_counter++;
    if (cycle_indicate_counter >= 10) {
        cycle_next();
    }
    var spaces = "**********";
    $(".cyclebar1").text(spaces.substring(0, cycle_indicate_counter));
    $(".cyclebar1").css("color", "Red");
    $(".cyclebar2").text(spaces.substring(0, 9 - cycle_indicate_counter));
    $(".cyclebar2").css("color", "Black");
}

function cycle_delay() {
    if ($(".cyclebar1").length == 0) return;
    var items = document.getElementsByTagName('DIV');
    for (var i = 0; i < items.length; i++) {
        if (items[i].className.substring(0, 6) == "cycle_") {
            cycle_array = cycle_array.concat(new Array(items[i]));
        }
    };
    if (cycle_array.length == 0) return;
    cycle_array.sort(function (a, b) {
        return a.className.substring(6) - b.className.substring(6);
    });
    cycle_array[0].style.display = "block";
    cycle_pointer = 0;
    window.setInterval(cycle_indicate, 1000);
}

$(document).on("mobileinit", function (event) {
    cycle_delay();
})
